<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="item"
            type="com.example.beijing_daxing.been.Stock" />
        <import type="android.view.View"/>
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:background="#EAEDFD"
        android:orientation="vertical"
        android:padding="2dp">


        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="30dp"-->
        <!--            android:layout_marginTop="2dp">-->

        <!--            <TextView-->
        <!--                style="@style/item_text_style"-->
        <!--                android:layout_width="100dp"-->
        <!--                android:layout_height="match_parent"-->
        <!--                android:text="机位编码:" />-->

        <!--            <TextView-->
        <!--                style="@style/item_text_style"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="match_parent"-->
        <!--                android:gravity="left|center"-->
        <!--                android:text="@{item.locationCode}" />-->

        <!--        </LinearLayout>-->

        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="30dp"-->
        <!--            android:layout_marginTop="2dp">-->

        <!--            <TextView-->
        <!--                style="@style/item_text_style"-->
        <!--                android:layout_width="100dp"-->
        <!--                android:layout_height="match_parent"-->
        <!--                android:text="入场时间:" />-->

        <!--            <TextView-->
        <!--                style="@style/item_text_style"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="match_parent"-->
        <!--                android:gravity="left|center"-->
        <!--                android:text="@{item.createTime}" />-->
        <!--        </LinearLayout>-->




        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="42dp">

            <TextView
                style="@style/item_text_style"
                android:layout_width="200dp"
                android:layout_height="match_parent"

                android:text="@{item.epcCode}" />
            <View
                android:layout_width="1dp"
                android:layout_height="28dp"
                android:layout_gravity="center"
                android:layout_marginTop="2dp"
                android:background="@color/white" />

            <TextView
                style="@style/item_text_style"
                android:layout_width="120dp"
                android:layout_height="match_parent"
                android:text="@{item.state}" />

            <View
                android:layout_width="1dp"
                android:layout_height="28dp"
                android:layout_gravity="center"
                android:layout_marginTop="2dp"
                android:background="@color/white" />

            <TextView
                android:id="@+id/item_check_click"
                style="@style/item_text_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:letterSpacing="0.1"
                android:text="跳过巡检"
                android:textColor="@color/blue"
                android:visibility='@{item.state.equals("未检") ? View.VISIBLE :View.GONE}' />
        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_gravity="center"
            android:layout_marginTop="2dp"
            android:background="@color/white" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:visibility='@{(item.state.equals("跳过") || item.state.equals("异常")) ?View.VISIBLE : View.GONE }'>

            <TextView
                style="@style/item_text_style"
                android:layout_width="100dp"
                android:layout_height="match_parent"
                android:text='@{item.state+"原因:"}' />
            <TextView
                style="@style/item_text_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="left|center"
                android:paddingLeft="5dp"
                android:text="@{item.remark}" />
        </LinearLayout>


    </LinearLayout>
</layout>